package com.tencent.mm.plugin.brandservice.ui.timeline.a;

import android.content.Context;
import android.view.View;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.brandservice.ui.timeline.a;
import com.tencent.mm.pluginsdk.ui.e.f;
import com.tencent.mm.pluginsdk.ui.e.m;
import com.tencent.mm.ui.widget.MMNeat7extView;

public final class h extends a {
    public TextView jPK;
    public View jPL;
    public MMNeat7extView jPi;

    public final View a(Context context, a aVar) {
        AppMethodBeat.i(14267);
        super.b(context, aVar);
        View view;
        if (this.jOR != null) {
            view = this.jOR;
            AppMethodBeat.o(14267);
            return view;
        }
        this.jOR = View.inflate(context, 2130968871, null);
        aWH();
        this.jPi = (MMNeat7extView) this.jOR.findViewById(2131821513);
        this.jPi.setOnTouchListener(new f(this.jPi, new m(this.jPi.getContext())));
        this.jPK = (TextView) this.jOR.findViewById(2131821851);
        this.jPL = this.jOR.findViewById(2131821850);
        view = this.jOR;
        AppMethodBeat.o(14267);
        return view;
    }
}
